Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Помогите установить Vundle  (Прочитано 1847 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн KamazPodarkov

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Помогите установить Vundle
« : 11 Апрель 2015, 15:58:47 »
Добрый день.
Сегодня поставил Ubuntu (это, чтобы вы сразу масштаб бедствия представляли), хочу попробовать настроить vim.
Насколько я понял, продвинутый способ устанавливать плагины - через Vundle. Делаю все по инструкции, как тут
https://github.com/gmarik/Vundle.vim:
1) sudo apt-get install vim
2) sudo apt-get install git
3) git clone https://github.com/gmarik/Vundle.vim.git ~/.vim/bundle/Vundle.vim
4) Нахожу папку с вимом : ~/etc/vim
5) беру там файлик vimrc, правлю его, как указано
В итоге, получаю ругань при каждой попытке запустить vim.
В чем косяк?

ЗЫ. Буду рад, если посоветуете полезных плагинчиков, желательно с коротким объяснением, что они делают.

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4157
  • Gentoo x64 bspwm
    • Просмотр профиля
Re: Помогите установить Vundle
« Ответ #1 : 11 Апрель 2015, 16:12:11 »
какого рода ругань?может ты его не правильно заполнил
господь ведет твою руку, сын мой....

Оффлайн KamazPodarkov

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Помогите установить Vundle
« Ответ #2 : 11 Апрель 2015, 22:43:11 »
v!tax,
Вряд ли неправильно, я скопировал чей-то вполне работающий.
Например, вот кусок отсюда http://habrahabr.ru/post/148549/

" VUNDLE

set nocompatible " be iMproved
filetype off

set rtp+=~/.vim/bundle/Vundle.vim
call vundle#begin()

Plugin 'davidhalter/jedi-vim'
Plugin 'scrooloose/nerdtree'
Plugin 'szw/vim-tags.git'
Plugin 'bling/vim-airline'
Plugin 'plasticboy/vim-markdown.git'
Plugin 'rstacruz/sparkup'
Plugin 'Raimondi/delimitMate'
Plugin 'Shougo/neocomplcache.vim'
Plugin 'tomtom/tcomment_vim'
Plugin 'tpope/vim-fugitive'
Plugin 'majutsushi/tagbar'
Plugin 'scrooloose/syntastic'

call vundle#end()       
filetype plugin indent on

Ругается, вот так:
Error detected while processing /usr/share/vim/vimrc:
line    7:
E117: Unknown function: vundle#begin
line    9:
E492: Not an editor command: Plugin 'davidhalter/jedi-vim'
Ну и далее то же про все плагины.

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4157
  • Gentoo x64 bspwm
    • Просмотр профиля
Re: Помогите установить Vundle
« Ответ #3 : 12 Апрель 2015, 02:24:56 »
я плагины через патоген ставил
http://habrahabr.ru/post/116523/
« Последнее редактирование: 20 Июнь 2019, 05:59:10 от zg_nico »
господь ведет твою руку, сын мой....

 

Страница сгенерирована за 0.096 секунд. Запросов: 22.